


export default {
  name: "mainActionSelect",
  props: {value:""},
  data() {
    return {
      mainAction: ''
    }
  },
  watch: {
    mainAction(newVal) {
      this.$emit('update:value', newVal);
    },
    value(newVal) {
      this.mainAction = newVal
    },
  },
  created() {
    if(this.value==null){
      this.$emit('update:value', '');
    }
    this.mainAction=this.value
  },
  methods: {
  }
}
